# NAME

git-annex upgrade - upgrade repository

# SYNOPSIS

git annex upgrade

# DESCRIPTION

Upgrades the repository to the latest version.

Each git-annex repository has an annex.version in its git configuration,
that indicates the repository version. When an old repository version
becomes deprecated, git-annex will automatically upgrade it
(unless annex.autoupgraderepository is set to false). To manually upgrade,
you can use this command.

Sometimes there's a newer repository version that is not the default yet,
and then you can use this command to upgrade to it.

Currently, git-annex supports upgrades all the way back to version 0, which
was only used by its author. It's expected that git-annex will always
support upgrading from all past repository versions -- this is necessary to
allow archives to be taken offline for years and later used.

# OPTIONS

* --autoonly

  Only do whatever automatic upgrade can be done, don't necessarily
  upgrade to the latest version. This is used internally by git-annex.

* Also the [[git-annex-common-options]](1) can be used.

# SEE ALSO

[[git-annex]](1)

[[git-annex-migrate]](1)

Upgrades procedures and history: <http://git-annex.branchable.com/upgrades>

News and release notes: <http://git-annex.branchable.com/news/>

# AUTHOR

Joey Hess <id@joeyh.name>

Warning: Automatically converted into a man page by mdwn2man. Edit with care.
